@use "@angular/material" as mat;

.example-card {
    @include mat.elevation(3);
    .header-image-wrapper {
        display: flex;
        justify-content: space-between;
        margin-bottom: 8px;

        @media (max-width: 700px) {
            flex-direction: column;
        }

        .header {
            display: flex;
            flex-direction: column-reverse;
            .title {
                max-width: 100%;
                white-space: nowrap;
                text-overflow: ellipsis;
                overflow: hidden;
            }
        }

        img {
            max-width: 180px;
            border-radius: 6px;
            margin: 0px;
        }
    }

    .prices-container {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
    }

    mat-icon {
        cursor: pointer;
        border-radius: 50%;
        &:hover {
            background-color: gainsboro;
        }
        &.is-expanded {
            transform: rotate(180deg);
        }
    }
}
